
[Rainmeter]

[Background]
Meter=IMAGE
ImageName=Background.png
X=4
Y=0
Update=100

;------------------------------------

[Variables]
Login=
Password=


;------------------------------------

[Style]
FontFace=Agency FB
FontSize=10
StringStyle=Bold
FontColor= 81, 168, 255
StringEffect=SHADOW
StringAlign=Left
AntiAlias=1
AutoScale=1

;------------------------------------


[mGmail]
Measure=Plugin
Plugin=WebParser.dll
Url=https://#Login#:#Password#@gmail.google.com/gmail/feed/atom
RegExp="(?siU)<fullcount>(.*)</fullcount>"
UpdateRate=150
StringIndex=1
IfAboveValue=1
IfAboveAction=!Execute [!RainmeterSetVariable Subtitle "%1"][!RainmeterSetVariable MailState "New"]
IfEqualValue=1
IfEqualAction=!Execute [!RainmeterSetVariable Subtitle "%1"][!RainmeterSetVariable MailState "New"]
IfBelowValue=1
IfBelowAction=!Execute [!RainmeterSetVariable Subtitle "0"][!RainmeterSetVariable MailState "NoNew"]

[MeasureGmail]
Measure=Plugin
Plugin=WebParser.dll
Url=https://#Login#:#Password#@gmail.google.com/gmail/feed/atom
RegExp="(?siU)<fullcount>(.*)</fullcount>"
UpdateRate=150
StringIndex=1
IfAboveValue=1
IfAboveAction=!Execute [!RainmeterSetVariable mailstatus "%1 new"][PLAY "#SKINSPATH#\MDS\Gmail\mail.wav"]
IfEqualValue=1
IfEqualAction=!Execute [!RainmeterSetVariable mailstatus "%1 new"][PLAY "#SKINSPATH#\MDS\Gmail\mail.wav"]
IfBelowValue=1
IfBelowAction=!Execute [!RainmeterSetVariable mailstatus "No new"]
FinishAction=!RainmeterUpdate "#CURRENTCONFIG#"
;------------------------------------

[Line]
Meter=IMAGE
MeterStyle=sLine

;------------------------------------

[Icon]
Meter=IMAGE
X=30
Y=12
W=70
H=60
MeterStyle=sIcon
ImageName=Mail.png
DynamicVariables=1
MouseActionCursor=1

;------------------------------------

[Title]
Meter=STRING
MeterStyle=sTitle
Text=< Gmail >
X=29
Y=57
FontColor= 81, 168, 255
FontFace=Agency FB
StringStyle=BOLD
FontSize=16
Antialias=1

;------------------------------------

[Subtitle]
Meter=STRING
MeterStyle=Style
MeasureName=mGmail
X=93
Y=22
Text=#Subtitle#
DynamicVariables=1
LeftMouseUpAction=!Execute ["http://mail.google.com/mail/"][!RainmeterRefresh]

;------------------------------------

[Indicator]
Meter=IMAGE
X=87
Y=12
ImageName=Indicator.png
LeftMouseUpAction=!Execute ["http://mail.google.com/mail/"][!RainmeterRefresh]

;------------------------------------

[Square]
Meter=Image
SolidColor=0,0,0,1
H=30
w=50
x=0
y=0